# $Revision: 1.6 $, $Date: 2002/09/07 05:50:44 $
Summary:	A collection of chemical applications for KDE
Summary(pl):	Kolekcja aplikacji chemicznych dla KDE
Name:		kemistry
Version:	0.6
Release:	2
License:	GPL
Group:		X11/Applications/Science
Source0:	http://prdownloads.sourceforge.net/%{name}/%{name}-%{version}.tar.bz2
Patch0:		%{name}-shared_openbabel.patch
URL:		http://kemistry.sourceforge.net/
BuildRequires:	autoconf
BuildRequires:	automake
BuildRequires:	fam-devel
BuildRequires:	kdelibs-devel >= 3.0.3
BuildRequires:	kdesdk
Requires:	openbabel
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%define		_prefix		/usr/X11R6
%define		_htmldir	/usr/share/doc/kde/HTML

%description
Kemistry is a collection of chemical applications for the K Desktop
Environment. The included applications are:

- KMolCalc - a molecular weight calculator
- KemBabel - a conversion program for chemical file formats based on
  Open Babel
- KDrawchem - a molecular structure drawing program based on XDrawChem

%description -l pl
Kemistry jest kolekcj aplikacji chemicznych dla KDE. Zawiera
aplikacje:
 - KMolCalc - kalkulator wagi molowej,
 - KemBabel - program do konwersji midzy chemicznymi formatami plikw,
   bazowany na Open Babel,
 - KDrawchem - program do rysowania struktury molekularnej, bazowany na
   XDrawChem.

%package kdrawchem
Summary:	molecular structure drawing program based on XDrawChem
Summary(pl):	program do rysowania struktury molekularnej, bazowany na XDrawChem
Group:		X11/Applications/Science
Requires:	kemistry = %{version}
Provides:	kdrawchem

%description kdrawchem
A molecular structure drawing program based on XDrawChem.

%description kdrawchem -l pl
Program do rysowania struktury molekularnej, bazowany na XDrawChem.

%package kembabel
Summary:	conversion program for chemical file formats
Summary(pl):	program do konwersji midzy chemicznymi formatami plikw
Group:		X11/Applications/Science
Requires:	kemistry = %{version}
Provides:	kembabel

%description kembabel
A conversion program for chemical file formats based on Open Babel.

%description kembabel -l pl
Program do konwersji midzy chemicznymi formatami plikw, bazowany na
Open Babel.

%package kmolcalc
Summary:	molecular weight calculator
Summary(pl):	kalkulator wagi molowej
Group:		X11/Applications/Science
Requires:	kemistry = %{version}
Provides:	kmolcalc

%description kmolcalc
A molecular weight calculator.

%description kmolcalc -l pl
Kalkulator wagi molowej.

%prep
%setup -q -n %{name}
%patch0 -p1

%build
kde_htmldir="%{_htmldir}"; export kde_htmldir
kde_icondir="%{_pixmapsdir}"; export kde_icondir
rm -f missing
%{__make} -f Makefile.cvs
%configure

%{__make}

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT%{_applnkdir}/Scientific/Chemistry

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT
mv $RPM_BUILD_ROOT%{_applnkdir}/{Applications/Kemistry/*,Scientific/Chemistry}

cp openbabel/ChangeLog ChangeLog.openbabel

%find_lang kdrawchem	--with-kde
%find_lang kembabel	--with-kde
%find_lang kmolcalc	--with-kde

%clean
rm -rf $RPM_BUILD_ROOT

%post	-p /sbin/ldconfig
%postun	-p /sbin/ldconfig

%post	kdrawchem -p /sbin/ldconfig
%postun	kdrawchem -p /sbin/ldconfig

%files
%defattr(644,root,root,755)
%doc README ChangeLog* openbabel/CHANGES.openbabel
%{_pixmapsdir}/*/*/*/kemistry.png
%attr(755,root,root) %{_libdir}/libopenbabel_kemistry.*

%files kdrawchem -f kdrawchem.lang
%defattr(644,root,root,755)
%doc kdrawchem/ChangeLog
%attr(755,root,root) %{_bindir}/kdrawchem
%attr(755,root,root) %{_libdir}/libkdrawchem.*
%dir %{_datadir}/apps/kdrawchem/*
%dir %{_datadir}/apps/kdrawchem/rings/*.cml
%{_pixmapsdir}/*/*/*/kdrawchem.png
%{_applnkdir}/Scientific/Chemistry/kdrawchem.desktop

%files kembabel -f kembabel.lang
%defattr(644,root,root,755)
%doc kembabel/ChangeLog
%attr(755,root,root) %{_bindir}/kembabel
%{_datadir}/mimelnk/chemical/*openbabel*
%{_applnkdir}/Scientific/Chemistry/kembabel.desktop

%files kmolcalc -f kmolcalc.lang
%defattr(644,root,root,755)
%doc kmolcalc/ChangeLog
%attr(755,root,root) %{_bindir}/kmolcalc
%dir %{_datadir}/apps/kmolcalc/*
%{_pixmapsdir}/*/*/*/kmolcalc.png
%{_applnkdir}/Scientific/Chemistry/kmolcalc.desktop

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld.org.pl>
All persons listed below can be reached at <cvs_login>@pld.org.pl

$Log: kemistry.spec,v $
Revision 1.6  2002/09/07 05:50:44  blues
- removed duplicate release - STBR again

Revision 1.5  2002/09/07 05:14:25  blues
- release 2 - shared openbabel patch added - use external openbabel (not
  the best method but works), added ac/am regeneration
  STBR

Revision 1.4  2002/09/06 20:21:43  kloczek
- cosmetics.

Revision 1.3  2002/09/06 18:14:48  kloczek
- removed qt-devel from BuildRequires (this rule is reduntant).

Revision 1.2  2002/09/06 14:23:11  blues
- updated doc

Revision 1.1  2002/09/06 14:20:12  blues
- initial release - STBR
